summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/gocr/gocr.SlackBuild24
-rw-r--r--office/gocr/gocr.info2
2 files changed, 10 insertions, 16 deletions
diff --git a/office/gocr/gocr.SlackBuild b/office/gocr/gocr.SlackBuild
index 26d3baa48b..3bb84785da 100644
--- a/office/gocr/gocr.SlackBuild
+++ b/office/gocr/gocr.SlackBuild
@@ -1,16 +1,15 @@
#!/bin/sh
# Slackware Package Build Script for GOCR
-
# Home Page http://jocr.sourceforge.net/index.html
-# Copyright (c) 2008-2009, Nishant Limbachia, Hoffman Est, IL, USA (nishant@mnspace.net)
+# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
# All rights reserved.
#
-# Redistribution and use of this script, with or without modification, is
+# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
-# 1. Redistributions of script must retain the above copyright notice,
+# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
@@ -28,7 +27,7 @@
PRGNAM=gocr
VERSION=0.48
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -84,17 +83,12 @@ cp -a \
doc/*.txt doc/*.html $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+### strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man || exit 1
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+### compress man page
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/office/gocr/gocr.info b/office/gocr/gocr.info
index 2ac292bbef..5be684fa75 100644
--- a/office/gocr/gocr.info
+++ b/office/gocr/gocr.info
@@ -7,4 +7,4 @@ DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Nishant Limbachia"
EMAIL="nishant@mnspace.net"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"